summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbuild-wayland.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/build-wayland.sh b/build-wayland.sh
index 415fe07..0ec41c1 100755
--- a/build-wayland.sh
+++ b/build-wayland.sh
@@ -12,6 +12,8 @@ PKG_CONFIG_ALLOW_SYSTEM_CFLAGS=1
export WLD LD_LIBRARY_PATH PKG_CONFIG_PATH ACLOCAL C_INCLUDE_PATH LIBRARY_PATH PKG_CONFIG_ALLOW_SYSTEM_CFLAGS
+BUILD_DIR=${BUILD_DIR:-~/usr/git/wayland}
+
[ ! -d "$WLD/share/aclocal" ] && sudo mkdir -p "$WLD/share/aclocal"
RESET="\033[0m"
@@ -46,6 +48,8 @@ function do_your_job () {
say " * SUCCESS\n"
}
+cd $BUILD_DIR || exit 1
+
# WAYLAND
say "wayland"
my_dir=wayland